/************************************************************************
*                                                                       *
*   Filename:      MC_L4-Sleep_LED_off-HTC.c                            *
*   Date:          6/4/09                                               *
*   File Version:  1.0                                                  *
*                                                                       *
*   Author:        David Meiklejohn                                     *
*   Company:       Gooligum Electronics                                 *
*                                                                       *
*************************************************************************
*                                                                       *
*   Architecture:  Midrange PIC                                         *
*   Processor:     12F629                                               *
*   Compiler:      HI-TECH C PRO v9.60PL5 Lite                          *
*                                                                       *
*************************************************************************
*                                                                       *
*   Files required: none                                                *
*                                                                       *
*************************************************************************
*                                                                       *
*   Description:    Lesson 4, example 3                                 *
*                                                                       *
*   Demonstrates sleep mode                                             *
*                                                                       *
*   Turn on LED, wait for button pressed, turn off LED, then sleep      *
*                                                                       *
*************************************************************************
*                                                                       *
*   Pin assignments:                                                    *
*       GP1 - indicator LED                                             *
*       GP3 - pushbutton (active low)                                   *
*                                                                       *
************************************************************************/

#include <htc.h>


/***** CONFIGURATION *****/
//      int reset, no code or data protect, no brownout detect,
//      no watchdog, power-up timer enabled, 4MHz int clock
__CONFIG(MCLRDIS & UNPROTECT & BORDIS & WDTDIS & PWRTEN & INTIO);

// Pin assignments
#define LED     GPIO1           // indicator LED on GP1
#define nLED    1               //   (LED on pin #1)
#define BUTTON  GPIO3           // pushbutton on GP3 (active low)


/***** MAIN PROGRAM *****/
void main()
{
    TRISIO = ~(1<<nLED);        // configure LED pin (only) as output
    
    LED = 1;                    // turn on LED
    
    while (BUTTON == 1)         // wait for button press (low)
        ;

    LED = 0;                    // turn off LED
        
    SLEEP();                    // enter sleep mode

    for (;;)                    // (this loop should never execute)
        ;
}
